SETLEDS(1)

NOMBRE
setleds - establece los LED (las luces) del teclado

SINOPSIS
setleds [-v] [-L] [-D] [-F] [{+|-}num] [{+|-}caps] [{+|-}scroll]

DESCRIPCIÓN

La orden setleds muestra y cambia los establecimientos de los LED (díodos luminosos, lucecitas) de una VT (terminal virtual) (a saber, BloqNum, BloqMay y BloqDespl). Sin argumentos, setleds muestra los estados actuales. Con argumentos, enciende o apaga las señales indicadas (y deja las otras intactas). Si se da la opción -v se muestran las señales antes y después del cambio.

Las señales de los leds son específicas para cada VT (y se usa la VT correspondiente a stdin, la entrada estándar).

Por omisión (o con la opción -F), setleds solo cambiará las señales de la VT (y sus establecimientos pueden reflejarse en las luces del teclado).

Con la opción -D, setleds cambiará tanto las señales de la VT como sus establecimientos predeterminados (de forma que una puesta a cero posterior no deshará el cambio). Esto puede ser útil para gente que siempre quiera tener activado el teclado numérico auxiliar.

Con la opción -L, setleds no tocará las señales de la VT, sino que solo cambiará las lucecitas. A partir de ese momento, los LED no reflejarán más el estado de las señales de la VT (sino que mostrarán lo que se quiera que muestren). La orden setleds -L (sin más argumentos) restaurará la situación en la cual los LED reflejan las señales de la VT.

Uno podría emplear setleds en un /etc/rc para definir el estado inicial y predeterminado de BloqNum, p.ej. con
INITTY=/dev/tty[1-8]
for tty in $INITTY; do
setleds -D +num < $tty
done

OPCIONES

-num +num
    Limpia o activa BloqNum. (Por el momento, el establecimiento de BloqNum tiene influencia en la interpretación de las teclas del teclado auxiliar. Pulsar la tecla BloqNum complementa el establecimiento de BloqNum.)

-caps +caps
    Limpia o activa BloqMay. (Por el momento, el establecimiento de BloqMay complementa la tecla Cambio o Mayúsculas cuando se aplica a letras. Pulsar la tecla BloqMayús complementa el establecimiento de BloqMay.)

-scroll +scroll
    Limpia o activa BloqDespl. (Por el momento, pulsar la tecla BloqDesplaz (o ^S/^Q) para/reanuda la salida por consola.)

ERRORES
En modo de aplicación del teclado auxiliar la tecla BloqNum no tiene influencia en el establecimiento de la señal BloqNum.

AUTORES
Andries Brouwer <aeb@cwi.nl>

VÉASE TAMBIÉN
loadkeys(1)

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.